Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class NoteStructureSubRecord

    java.lang.Object
      org.apache.poi.hssf.record.SubRecord
          org.apache.poi.hssf.record.NoteStructureSubRecord

    public final class NoteStructureSubRecord

extends SubRecord

ftNts (0x000D)

Represents a NoteStructure sub record.

The docs say nothing about it. The length of this record is always 26 bytes.

Author:
  Yegor Kozlov

Field Summary
`static short` | `sid`

Constructor Summary
`NoteStructureSubRecord()` Construct a new `NoteStructureSubRecord` and fill its data with the default values
`NoteStructureSubRecord(LittleEndianInput in, int size)` Read the record data from the supplied `RecordInputStream`

Method Summary
`java.lang.Object` | `clone()`
`protected int` | `getDataSize()`
`short` | `getSid()`
`void` | `serialize(LittleEndianOutput out)` Serialize the record data into the supplied array of bytes
`java.lang.String` | `toString()` Convert this record to string.

Methods inherited from class org.apache.poi.hssf.record.SubRecord
`createSubRecord, isTerminating, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### NoteStructureSubRecord

    public NoteStructureSubRecord()

  Construct a new `NoteStructureSubRecord` and fill its data with the default values

### NoteStructureSubRecord

    public NoteStructureSubRecord(LittleEndianInput in,
                                  int size)

  Read the record data from the supplied `RecordInputStream`

Method Detail

### toString

    public java.lang.String toString()

  Convert this record to string. Used by BiffViewer and other utilities.

  Overrides:
    `toString` in class `java.lang.Object`

### serialize

    public void serialize(LittleEndianOutput out)

  Serialize the record data into the supplied array of bytes

  Specified by:
    `serialize` in class `SubRecord`
  Parameters:
    `out` - the stream to serialize into

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `SubRecord`
  Returns:
    the size of the data for this record (which is always 4 bytes less than the total record size). Note however, that ushort encoded after the record sid is usually but not always the data size.

### getSid

    public short getSid()

  Returns:
    id of this record.

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in class `SubRecord`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.